package com.foreverwin.mesnac.dataimport.handler;

import com.foreverwin.mesnac.dataimport.handler.base.Handler;

/**
 * @author Ervin Chen
 * @date 2020/9/20 11:43
 */
public class HandlerFactory {

    public static Handler getHandler(String handleType){
        switch (handleType){
            case "item" :
                return new ItemHandler();
            case "resourceType":
                return new ResourceTypeHandler();
            case "resource":
                return new ResourceHandler();
            case "operation" :
                return new OperationHandler();
            case "workCenter" :
                return new WorkCenterHandler();
            case "ncGroup" :
                return new NCGroupHandler();
            case "ncCode" :
                return new NCCodeHandler();
            case "inspectionItem" :
                return new InspectionItemHandler();
            case "messageType" :
                //return new MessageTypeHandler();
            case "tool" :
                return new ToolHandler();
            case "userResource" :
                return new UserResourceHandler();
        }

        return null;
    }
}
